OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
VideoDriver_Dedicated Class Reference

The dedicated server video driver. More...

`#include <dedicated_v.h>`

Inheritance diagram for VideoDriver_Dedicated:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
void | MakeDirty (int left, int top, int width, int height)
| Mark a particular area dirty.
void | MainLoop ()
| Perform the actual drawing.
bool | ChangeResolution (int w, int h)
| Change the resolution of the window.
bool | ToggleFullscreen (bool fullscreen)
| Change the full screen setting.
const char * | GetName () const
| Get the name of this driver.
bool | HasGUI () const
| Whether the driver has a graphical user interface with the end user.
Public Member Functions inherited from VideoDriver
virtual bool | AfterBlitterChange ()
| Callback invoked after the blitter was changed.
virtual bool | ClaimMousePointer ()
virtual void | EditBoxLostFocus ()
| An edit box lost the input focus.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
Static Public Member Functions inherited from VideoDriver
static VideoDriver * | GetInstance ()
| Get the currently active instance of the video driver.

## Detailed Description

The dedicated server video driver.

Definition at line 18 of file dedicated_v.h.

## Member Function Documentation

bool VideoDriver_Dedicated::ChangeResolution | ( | int | w,
|  | int | h
| ) |  |
| virtual

Change the resolution of the window.

Parameters

  w | The new width.
  h | The new height.

Returns
  True if the change succeeded.

Implements VideoDriver.

Definition at line 196 of file dedicated_v.cpp.

const char* VideoDriver_Dedicated::GetName | ( |  | ) | const
| inline virtual

Get the name of this driver.

Returns
  The name of the driver.

Implements Driver.

Definition at line 31 of file dedicated_v.h.

bool VideoDriver_Dedicated::HasGUI | ( |  | ) | const
| inline virtual

Whether the driver has a graphical user interface with the end user.

Or in other words, whether we should spawn a thread for world generation and NewGRF scanning so the graphical updates can keep coming. Otherwise progress has to be shown on the console, which uses by definition another thread/process for display purposes.

Returns
  True for all drivers except null and dedicated.

Reimplemented from VideoDriver.

Definition at line 32 of file dedicated_v.h.

void VideoDriver_Dedicated::MakeDirty | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height
| ) |  |
| virtual

Mark a particular area dirty.

Parameters

  left | The left most line of the dirty area.
  top | The top most line of the dirty area.
  width | The width of the dirty area.
  height | The height of the dirty area.

Implements VideoDriver.

Definition at line 195 of file dedicated_v.cpp.

const char * VideoDriver_Dedicated::Start | ( | const char *const * | parm | ) |
| virtual

Start this driver.

Parameters

  parm | Parameters passed to the driver.

Returns
  NULL if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 153 of file dedicated_v.cpp.

References _cur_resolution, DEBUG, BlitterFactory::GetCurrentBlitter(), Blitter::GetScreenDepth(), and Blitter::PostResize().

bool VideoDriver_Dedicated::ToggleFullscreen | ( | bool | fullscreen | ) |
| virtual

Change the full screen setting.

Parameters

  fullscreen | The new setting.

Returns
  True if the change succeeded.

Implements VideoDriver.

Definition at line 197 of file dedicated_v.cpp.

The documentation for this class was generated from the following files:

- src/video/dedicated_v.h
- src/video/dedicated_v.cpp